#include "../include/Sim2OS.h"

namespace environment {
namespace sim2os {

  std::ostream& operator<< (std::ostream& output, Sim2OS &x)
  {
    output << "<" << x.name << ">" << std::endl;
    output << " * num_service : " << x.num_service << std::endl;
    
    for (std::map<uint32_t,void *>::iterator it = x.arguments.begin();
	 it != x.arguments.end();
	 it ++)
      output << "[" << it->first << "] : " << it->second << std::endl;
    return output;
  }

};
};
